/*-MH---------------------------------------------------------------------------
** Project     : SkyMAX
** Filename    : ipt_esp.h
** Branch      : /main
** Version     : 1
** 
** Copyright (C) 2004,2005 by Siemens AG
** All Rights Reserved
** 
**-USER-------------------------------------------------------------------------
** 
** Author      : andreas.schildorfer@siemens.com
** Creation    : 19-May-05.16:51:35
** 
** Description : created by clearfsimport
** 
**-END------------------------------------------------------------------------*/
/*-HOC--------------------------------------------------------------------------
** 
** Branch : /main
** 
**-----+------+-----------+-----------------------------------------------------
** Ver |Date  |Name       | Text
**-USER+------+-----------+-----------------------------------------------------
**   1 |050519|schildorfer| created by clearfsimport
**   0 |050519|schildorfer| no comment
** --- |050519|schildorfer| branch /main for ipt_esp.h created
**-END-+------+-----------+---------------------------------------------------*/
#ifndef _IPT_ESP_H
#define _IPT_ESP_H

struct ipt_esp
{
	u_int32_t spis[2];			/* Security Parameter Index */
	u_int8_t  invflags;			/* Inverse flags */
};



/* Values for "invflags" field in struct ipt_esp. */
#define IPT_ESP_INV_SPI		0x01	/* Invert the sense of spi. */
#define IPT_ESP_INV_MASK	0x01	/* All possible flags. */

#endif /*_IPT_ESP_H*/
