/*-MH---------------------------------------------------------------------------
** Project     : SkyMAX
** Filename    : dpram.h
** Branch      : /main
** Version     : 7
** 
** Copyright (C) 2004,2005 by Siemens AG
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
** 
**-USER-------------------------------------------------------------------------
**
** Author      : zoltan.fejer@siemens.com
** Creation    : 18-Jan-05.11:45:46
**
** Description : please insert module description here
**
**-END------------------------------------------------------------------------*/
/*-HOC--------------------------------------------------------------------------
** 
** Branch : /main
** 
**-----+------+-----------+-----------------------------------------------------
** Ver |Date  |Name       | Text
**-USER+------+-----------+-----------------------------------------------------
**   7 |050628|ritter     | Added GPL license comment
**   6 |050615|ritter     | [BL014] Fix Inter CPU locking
**   5 |050331|ritter     | First release for Payload driver
**   4 |050324|ritter     | Alpha version of skynet driver
**   3 |050127|fejer      | Memory size for ARM1 stats changed
**   2 |050121|ritter     | Added high resolution ticker
**   1 |050118|fejer      | DPRAM reservation for ARM1 statistical data
**   0 |050118|fejer      | no comment
** --- |050118|fejer      | branch /main for dpram.h created
**-END-+------+-----------+---------------------------------------------------*/

#ifndef __DPRAM_H
#define __DPRAM_H

#define OFFSET_PAYLOAD_DATA (0x00000000)
#define OFFSET_SKYMAX_LOCK  (0x00002000 - 64)

#endif /* __DPRAM_H */

