#ifndef _ARMNOMMU_CLOCK_H
#define _ARMNOMMU_CLOCK_H

#include <asm-arm/hardware/clock.h>

struct clk {
	struct list_head	node;
	unsigned long		rate;
	struct module		*owner;
	const char		*name;
	void			*data;
};

int clk_register(struct clk *clk);
void clk_unregister(struct clk *clk);

#endif
