/*-MH---------------------------------------------------------------------------
** Project     : SkyMAX
** Filename    : ucbox.h
** Branch      : \main
** Version     : 1
** 
** Copyright (C) 2004,2005 by Siemens AG
** All Rights Reserved
** 
**-USER-------------------------------------------------------------------------
** 
** Author      : thomas.x.ritter@siemens.com
** Creation    : 26-Jul-05.19:56:42
** 
** Description : uClinux super daemon
** 
**-END------------------------------------------------------------------------*/
/*-HOC--------------------------------------------------------------------------
** 
** Branch : \main
** 
**-----+------+-----------+-----------------------------------------------------
** Ver |Date  |Name       | Text
**-USER+------+-----------+-----------------------------------------------------
**   1 |050726|ritter     | uClinux super daemon
**   0 |050726|ritter     | no comment
** --- |050726|ritter     | branch \main for ucbox.h created
**-END-+------+-----------+---------------------------------------------------*/
#ifndef _UCBOX_H_
#define _UCBOX_H_

#include <stdinc.h>
#include <messageQueue.h>
#include <xstring.h>

#define MAX_ARGS    32

typedef int (*entryFunc)(int argc, char* argv[]);

struct Service
{
    const char *m_Path;
    const char *m_Name;
    entryFunc    m_Entry;

    int start(int argc, char* argv[]);
    int stop();
    
    void writePidFile();
};

#endif
