/*-MH---------------------------------------------------------------------------
** Project     : SkyMAX
** Filename    : ip6t_esp.h
** Branch      : /main
** Version     : 1
** 
** Copyright (C) 2004,2005 by Siemens AG
** All Rights Reserved
** 
**-USER-------------------------------------------------------------------------
** 
** Author      : andreas.schildorfer@siemens.com
** Creation    : 19-May-05.16:52:20
** 
** Description : created by clearfsimport
** 
**-END------------------------------------------------------------------------*/
/*-HOC--------------------------------------------------------------------------
** 
** Branch : /main
** 
**-----+------+-----------+-----------------------------------------------------
** Ver |Date  |Name       | Text
**-USER+------+-----------+-----------------------------------------------------
**   1 |050519|schildorfer| created by clearfsimport
**   0 |050519|schildorfer| no comment
** --- |050519|schildorfer| branch /main for ip6t_esp.h created
**-END-+------+-----------+---------------------------------------------------*/
#ifndef _IP6T_ESP_H
#define _IP6T_ESP_H

struct ip6t_esp
{
	u_int32_t spis[2];			/* Security Parameter Index */
	u_int8_t  invflags;			/* Inverse flags */
};

#define MASK_HOPOPTS    128
#define MASK_DSTOPTS    64
#define MASK_ROUTING    32
#define MASK_FRAGMENT   16
#define MASK_AH         8
#define MASK_ESP        4
#define MASK_NONE       2
#define MASK_PROTO      1

/* Values for "invflags" field in struct ip6t_esp. */
#define IP6T_ESP_INV_SPI		0x01	/* Invert the sense of spi. */
#define IP6T_ESP_INV_MASK	0x01	/* All possible flags. */

#endif /*_IP6T_ESP_H*/
