/*-MH---------------------------------------------------------------------------
** Project     : SkyMAX
** Filename    : snmp_log.c
** Branch      : \main
** Version     : 1
** 
** Copyright (C) 2004,2005 by Siemens AG
** All Rights Reserved
** 
**-USER-------------------------------------------------------------------------
** 
** Author      : thomas.x.ritter@siemens.com
** Creation    : 18-Feb-05.17:39:07
** 
** Description : common log functions
** 
**-END------------------------------------------------------------------------*/
/*-HOC--------------------------------------------------------------------------
** 
** Branch : \main
** 
**-----+------+-----------+-----------------------------------------------------
** Ver |Date  |Name       | Text
**-USER+------+-----------+-----------------------------------------------------
**   1 |050218|ritter     | common log functions
**   0 |050218|ritter     | no comment
** --- |050218|ritter     | branch \main for snmp_log.c created
**-END-+------+-----------+---------------------------------------------------*/
#define __CCVERSION__     "/main/1"
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stddef.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>
#include <syslog.h>

void __log(int mode, const char * fmt, ...)
{
	va_list p;
	va_start(p, fmt);
    vsyslog(mode, fmt, p);
	va_end(p);
}

void syserror(const char *fmt, ...)
{
	if (!fmt) fmt = "";
	fflush(stdout);
	fprintf(stderr, "syserror: ");

	va_list p;
	va_start(p, fmt);
	vfprintf(stderr, fmt, p);
	va_end(p);

	fprintf(stderr, " - %s\n", strerror(errno));
	fflush(stderr);

    exit(0);
}
